import { Token } from "../interface";
export interface ColorConfig {
    comments: Color;
    strings: Color;
    numbers: Color;
    keywords: Color;
    operators: Color;
    identifiers: Color;
    punctuations: Color;
    others: Color;
    bgColor?: string;
}
export interface Color {
    value?: string;
    bgValue?: string;
    class?: string;
}
export type ColoredToken = Color & {
    text: string;
};
export declare function colorlize(tokens: Token[], settings: ColorConfig): readonly [ColoredToken[], string | undefined];
export declare function simpleHtml(tokens: ColoredToken[], bg?: string): string;
export { DARK } from "./dark";
export { DISCORD } from "./discord";
